API Reference for Marketo Engage

Update Landing Page Metadata

POST /rest/asset/v1/landingPage/{id}.json

Updates the metadata for the targe landing page.

Operation ID
updateLandingPageUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfLandingPageResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · required · UpdateLandingPageRequest · 11 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

customHeadHTML string

Any custom HTML to embed in the tag of the page

description string

Description of the asset

facebookOgTags string

Any OpenGraph meta tags to apply to the page

keywords string
metaTagsDescription string

Meta description property of the page

mobileEnabled boolean

Whether the page has mobile viewing enabled. Free-form pages only. Default false

name string

Name of the landing page

robots string

Robots directives to apply to the pages meta tags

styleOverRide string

Additional CSS styles to append to the landing page

title string

Title element of the landing page

urlPageName string

URL path of the page. Derived from the name field if unset

Responses

200 OK ResponseOfLandingPageResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of LandingPageResponse

Model LandingPageResponse

URL string

Public URL of the landing page, including the /lp/{munchkinId} path segment

computedUrl string

Url of the asset in the Marketo UI

destinationUrl string

Public URL of the landing page, without the /lp/{munchkinId} path segment

createdAt string (date-time)

Datetime the asset was created

customHeadHTML string required

Any custom HTML to embed in the tag of the page

description string

Description of the asset

facebookOgTags string required

Any OpenGraph meta tags to apply to the page

folder Folder

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

formPrefill boolean

Boolean to toggle whether forms embedded in the page will prefill. Default false

id integer (int64)

Id of the asset

keywords string
mobileEnabled boolean

Whether the page has mobile viewing enabled. Free-form pages only. Default false

name string

Name of the asset

robots string required

Robots directives to apply to the pages meta tags

status string

Status filter for draft or approved versions

template integer (int32)

Id of the template used

title string required

Title element of the landing page

updatedAt string (date-time)

Datetime the asset was most recently updated

workspace string

Name of the workspace

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "URL": "https://example.com",
      "computedUrl": "https://example.com",
      "destinationUrl": "https://example.com",
      "createdAt": "2026-01-15T10:30:00Z",
      "customHeadHTML": "string",
      "description": "string",
      "facebookOgTags": "string",
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "formPrefill": true,
      "id": 123,
      "keywords": "string",
      "mobileEnabled": true,
      "name": "Example name",
      "robots": "string",
      "status": "string",
      "template": 123,
      "title": "string",
      "updatedAt": "2026-01-15T10:30:00Z",
      "workspace": "string"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results